#pragma once
#include ".\02_Classes\clsCounter.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace DigitalYams {

	public ref class frmMain : public System::Windows::Forms::Form {
	
	private :
		clsCounter ^ DiceCounter01;
	
	public: 
		frmMain(void) {
			InitializeComponent();
		}

	protected:
		~frmMain() {
			if (components) {
				delete components;
			}
		}
	private: System::Windows::Forms::PictureBox^  DicePicture01;
	private: System::Windows::Forms::Button^  button1;
	private: System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		//
		// Conception de la fentre.
		// =====================================================================================
		 
		void InitializeComponent(void) {
			this->DicePicture01 = (gcnew System::Windows::Forms::PictureBox());
			this->button1 = (gcnew System::Windows::Forms::Button());
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->DicePicture01))->BeginInit();
			this->SuspendLayout();
			// 
			// DicePicture01
			// 
			this->DicePicture01->Location = System::Drawing::Point(108, 107);
			this->DicePicture01->Name = L"DicePicture01";
			this->DicePicture01->Size = System::Drawing::Size(68, 81);
			this->DicePicture01->SizeMode = System::Windows::Forms::PictureBoxSizeMode::AutoSize;
			this->DicePicture01->TabIndex = 0;
			this->DicePicture01->TabStop = false;
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(109, 261);
			this->button1->Name = L"button1";
			this->button1->Size = System::Drawing::Size(66, 24);
			this->button1->TabIndex = 1;
			this->button1->Text = L"button1";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += gcnew System::EventHandler(this, &frmMain::button1_Click);
			// 
			// frmMain
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(550, 409);
			this->Controls->Add(this->button1);
			this->Controls->Add(this->DicePicture01);
			this->Name = L"frmMain";
			this->Text = L"frmMain";
			this->Load += gcnew System::EventHandler(this, &frmMain::frmMain_Load);
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->DicePicture01))->EndInit();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion

#pragma region WindowsForms : Evnements.

	private: System::Void frmMain_Load(System::Object^  sender, System::EventArgs^  e) {
	//
	// Initialise la fentre.
	// ==================================================================================
	
	// initialisation des diffrents compteurs des ds. ---------------------------------
		this->DiceCounter01 = gcnew clsCounter() ;
		this->DicePicture01->Image = DiceCounter01->ResetCounter() ;
		this->DiceCounter01->Evt += gcnew DiceImageChange(this, &DigitalYams::frmMain::OnEvtDice01ImageChange);
		}
	
	private: void OnEvtDice01ImageChange(System::Drawing::Image ^ NewImage) {
		this->DicePicture01->Image = NewImage ;
	}

#pragma endregion

	private: System::Void button1_Click(System::Object^  sender, System::EventArgs^  e) {
		this->DiceCounter01->StartDiceImageChangeTimer() ;
	}
	
	}; // Fin de la classe frmMain

}		// Fin namespace DigitalYams
