#include "stdafx.h"
#include "clsCounter.h"

using namespace DigitalYams ;


clsCounter::clsCounter(void) {
	//	
	// Initialise la gestion d'un d.
	// =================================================================================================
		
	// Charge les diffrentes images. ------------------------------------------------------------------
	ImagesArray[0] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_vide.bmp"));
	ImagesArray[1] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_1.bmp"));
	ImagesArray[2] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_2.bmp"));
	ImagesArray[3] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_3.bmp"));
	ImagesArray[4] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_4.bmp"));
	ImagesArray[5] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_5.bmp"));
	ImagesArray[6] = Image::FromStream(Reflection::Assembly::GetExecutingAssembly()->GetManifestResourceStream("3_6.bmp"));
	
	// Initialise le Timer pour ce compteur. -----------------------------------------------------------
	DiceImageChangeTimer = gcnew System::Timers::Timer ;
	DiceImageChangeTimer->Elapsed += gcnew ElapsedEventHandler(clsCounter::OnTimedEvent);
	DiceImageChangeTimer->Enabled = false ;
	//GC::KeepAlive(DiceImageChangeTimer);
	//DiceImageChangeTimer->Stop() ;
	
	// Autres initialisations. --------------------------------------------------------------------------
	NoImage = 0 ;
}

clsCounter::~clsCounter(void) {
	if (DiceImageChangeTimer) {
		DiceImageChangeTimer->Close() ;
	}
}

System::Drawing::Image ^clsCounter::ResetCounter(Void) {
	return ImagesArray[0] ;
}

void clsCounter::StartDiceImageChangeTimer(void) {
	DiceImageChangeTimer->Interval = 500 ;
	DiceImageChangeTimer->Enabled = true ;
}

void clsCounter::OnTimedEvent( Object^ Source, ElapsedEventArgs^ e ) {
//
// Changement de l'image chiffre du compteur (1  6).
// ==============================================================================================
	if (NoImage > 5) {
		NoImage = 1 ;
	}
	else {
		NoImage++ ;
	}
	Evt(ImagesArray[NoImage]) ;			
}

